Skip to main content
GET
/
orders
/
{id}
Get Order
curl --request GET \
  --url https://api.loopreturns.com/api/v1/orders/{id} \
  --header 'X-Authorization: <api-key>'
{
  "order": {
    "id": 2,
    "external_id": "<string>",
    "name": "<string>",
    "source": "<string>",
    "channel": {
      "id": 123,
      "name": "<string>"
    },
    "customer": {
      "id": 123,
      "external_id": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "<string>",
      "phone": "<string>"
    },
    "status": "active",
    "taxes_included": true,
    "shipping_lines": [
      {
        "title": "<string>",
        "discounts": {
          "external_id": "<string>",
          "name": "<string>",
          "discount_type": "amount",
          "code": "<string>",
          "reason": "<string>",
          "rate": 123
        },
        "tax_lines": [
          {
            "title": "<string>",
            "rate": 123
          }
        ]
      }
    ],
    "order_discounts": [
      {
        "external_id": "<string>",
        "name": "<string>",
        "discount_type": "amount",
        "code": "<string>",
        "reason": "<string>",
        "rate": 123
      }
    ],
    "tags": [
      "<string>"
    ],
    "refunds": [
      [
        [
          {
            "external_id": "<string>",
            "type": "line_item",
            "line_item": [
              {
                "id": 123,
                "quantity": 123,
                "restock": true
              }
            ],
            "created_at": "2023-04-25T13:25:00-05:00",
            "updated_at": "2023-04-25T13:25:00-05:00"
          }
        ]
      ]
    ],
    "line_items": [
      {
        "id": 2,
        "external_id": "<string>",
        "product": {
          "id": 123
        },
        "product_variant": {
          "id": 123
        },
        "quantity": 123,
        "unit_price_presentment": {
          "amount": 50000,
          "currency_code": "USD"
        },
        "unit_discounts": {
          "amount": 50000,
          "currency_code": "USD"
        },
        "unit_discounts_presentment": {
          "amount": 50000,
          "currency_code": "USD"
        },
        "taxable": true,
        "tax_lines": [
          {
            "title": "<string>",
            "rate": 123
          }
        ],
        "refunds": [
          {
            "external_id": "<string>",
            "type": "line_item",
            "line_item": [
              {
                "id": 123,
                "quantity": 123,
                "restock": true
              }
            ],
            "created_at": "2023-04-25T13:25:00-05:00",
            "updated_at": "2023-04-25T13:25:00-05:00"
          }
        ],
        "discounts": [
          {
            "external_id": "<string>",
            "discount_type": "amount",
            "discount_relation": "prereq",
            "name": "<string>",
            "code": "<string>",
            "reason": "<string>",
            "rate": 123
          }
        ],
        "duties": [
          {
            "hs_code": "<string>",
            "country_of_origin": "<string>",
            "tax_lines": [
              {
                "title": "<string>",
                "rate": 123
              }
            ]
          }
        ]
      }
    ],
    "fulfillments": [
      {
        "external_id": "<string>",
        "status": "success",
        "fulfilled_at": "2023-11-07T05:31:56Z",
        "shipping_carrier": "<string>",
        "location": {
          "id": 123
        },
        "fulfillment_line_items": [
          {
            "external_id": "<string>",
            "order_line_item_external_id": "<string>",
            "quantity": 123
          }
        ],
        "tracking_numbers": [
          "<string>"
        ]
      }
    ],
    "created_at": "2023-04-25T13:25:00-05:00",
    "updated_at": "2023-04-25T13:25:00-05:00"
  }
}

Authorizations

X-Authorization
string
header
required

API Scope: "Order (read)"

Path Parameters

id
integer
required

Identifier of the order.

Response

OK

order
OrderResponse · object